# Method: monetization.subscriptions.list

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/list#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/list#body.response_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/list#body.ListSubscriptionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/list#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/list#try-it)

Lists all subscriptions under a given app.

### HTTP request

`GET https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/subscriptions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Required. The parent app (package name) for which the subscriptions should be read. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of subscriptions to return. The service may return fewer than this value. If unspecified, at most 50 subscriptions will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` A page token, received from a previous `subscriptions.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `subscriptions.list` must match the call that provided the page token. |
| `showArchived (deprecated)` | `boolean` Deprecated: subscription archiving is not supported. |

### Request body

The request body must be empty.

### Response body

Response message for subscriptions.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "subscriptions": [ { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions#Subscription`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `subscriptions[]` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions#Subscription`)`` The subscriptions from the specified app. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`